import request from '@/utils/request'

// 查询工位信息列表
export function listBaseStationInfo(query) {
  return request({
    url: '/mes/baseStationInfo/list',
    method: 'get',
    params: query
  })
}

// 查询工位信息详细
export function getBaseStationInfo(stationId) {
  return request({
    url: '/mes/baseStationInfo/' + stationId,
    method: 'get'
  })
}

// 新增工位信息
export function addBaseStationInfo(data) {
  return request({
    url: '/mes/baseStationInfo',
    method: 'post',
    data: data
  })
}

// 修改工位信息
export function updateBaseStationInfo(data) {
  return request({
    url: '/mes/baseStationInfo',
    method: 'put',
    data: data
  })
}

// 删除工位信息
export function delBaseStationInfo(stationId) {
  return request({
    url: '/mes/baseStationInfo/' + stationId,
    method: 'delete'
  })
}
